%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         hashicorp
%global repo            mdns
# https://github.com/hashicorp/mdns
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          2b439d37011456df8ff83a70ffd1cd6046410113
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0
Release:        0.1.git%{shortcommit}%{?dist}
Summary:        Simple mDNS client/server library in Golang 
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Patch0:	        change-import-path-of-go.net.patch

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}
%package devel
Summary:       %{summary}
BuildRequires: golang >= 1.2.1-3
BuildRequires: golang(code.google.com/p/go.net/ipv4)
BuildRequires: golang(code.google.com/p/go.net/ipv6)
BuildRequires: golang(github.com/miekg/dns)
Requires:      golang(code.google.com/p/go.net/ipv4)
Requires:      golang(code.google.com/p/go.net/ipv6)
Requires:      golang(github.com/miekg/dns)
Provides:      golang(%{import_path}) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}
%patch0 -p1

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/

# copy directories
for file in ./* ; do
    if [ -d $file ]; then
        cp -rpav $file %{buildroot}%{gopath}/src/%{import_path}/
    fi
done

%check
# tests need internet access

%files devel
%if 0%{?fedora}
%license LICENSE
%doc README.md
%else
%doc README.md LICENSE
%endif
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Apr 15 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git2b439d3
- First package for Fedora
  resolves: #1212116
